## Marlin Supported Hardware

- [Gen 7 Custom](#10-board_gen7_custom)
- [Gen 7 <=1.2](#11-board_gen7_12)
- [Gen 7 v1.3](#12-board_gen7_13)
- [Gen 7 v1.4](#13-board_gen7_14)
- [Cheaptronic v1.0](#2-board_cheaptronic)
- [Sethi 3D_1](#20-board_sethi)
- [RAMPS <=1.2](#3-board_ramps_old)
- [RAMPS 1.3 Extruder-Fan-Bed](#33-board_ramps_13_efb)
- [RAMPS 1.3 Extruder-Extruder-Bed](#34-board_ramps_13_eeb)
- [RAMPS 1.3 Extruder-Fan-Fan](#35-board_ramps_13_eff)
- [RAMPS 1.3 Extruder-Extruder-Fan](#36-board_ramps_13_eef)
- [Felix 2](#37-board_felix2)
- [Duemilanove 328P](#4-board_duemilanove_328p)
- [Gen 6](#5-board_gen6)
- [Gen 6 Deluxe](#51-board_gen6_deluxe)
- [Sanguinololu <=1.1](#6-board_sanguinololu_11)
- [Sanguinololu 1.2](#62-board_sanguinololu_12)
- [Melzi](#63-board_melzi)
- [STB v1.1](#64-board_stb_11)
- [Azteeg X1](#65-board_azteeg_x1)
- [Melzi 1284](#66-board_melzi_1284)
- [Azteeg X3](#67-board_azteeg_x3)
- [Azteeg X3 Pro](#68-board_azteeg_x3_pro)
- [Ultimaker](#7-board_ultimaker)
- [Legacy Ultimaker](#71-board_ultimaker_old)
- [Ultimainboard 2.x](#72-board_ultimain_2)
- [3DRAG](#77-board_3drag)
- [Vellemann K8200](#78-board_k8200)
- [Teensylu](#8-board_teensylu)
- [Rumba](#80-board_rumba)
- [Printrboard](#81-board_printrboard)
- [Brainwave](#82-board_brainwave)
- [SAV Mk-I](#83-board_sav_mki)
- [Teensy++2.0](#84-board_teensy2)
- [Brainwave Pro](#85-board_brainwave_pro)
- [Gen3+](#9-board_gen3_plus)
- [Gen3 Monolithic](#22-board_gen3_monolithic)
- [Megatronics](#70-board_megatronics)
- [Megatronics 2.0](#701-board_megatronics_2)
- [Minitronics 1.0](#702-board_megatronics_1)
- [Megatronics 3.0](#703-board_megatronics_3)
- [OMCA Alpha](#90-board_omca_a)
- [OMCA Final](#91-board_omca)
- [RAMBo](#301-board_rambo)
- [Elefu Ra](#21-board_elefu_3)
- [5DPrint D8](#88-board_5dprint)
- [Leapfrog](#999-board_leapfrog)
- [MKS BASE 1.0](#40-board_mks_base)
- [bq Witbox](#41-board_witbox)
- [bq Prusa i3 Hephestos](#42-board_hephestos)
- [2PrintBeta BAM&DICE](#401-board_bam_dice)
- [2PrintBeta BAM&DICE DUE](#402-board_bam_dice_due)

#### 10 BOARD_GEN7_CUSTOM
Gen7 custom (Alfons3 Version) "https://github.com/Alfons3/Generation_7_Electronics"

#### 11 BOARD_GEN7_12
Gen7 v1.1, v1.2

#### 12 BOARD_GEN7_13
Gen7 v1.3

#### 13 BOARD_GEN7_14
Gen7 v1.4

#### 2 BOARD_CHEAPTRONIC
Cheaptronic v1.0

#### 20 BOARD_SETHI
Sethi 3D_1

#### 3 BOARD_RAMPS_OLD
MEGA/RAMPS up to 1.2

#### 33 BOARD_RAMPS_13_EFB
RAMPS 1.3 / 1.4 (Power outputs: Extruder, Fan, Bed)

#### 34 BOARD_RAMPS_13_EEB
RAMPS 1.3 / 1.4 (Power outputs: Extruder0, Extruder1, Bed)

#### 35 BOARD_RAMPS_13_EFF
RAMPS 1.3 / 1.4 (Power outputs: Extruder, Fan, Fan)

#### 36 BOARD_RAMPS_13_EEF
RAMPS 1.3 / 1.4 (Power outputs: Extruder0, Extruder1, Fan)

#### 37 BOARD_FELIX2
Felix 2.0+ Electronics Board (RAMPS like)

#### 4 BOARD_DUEMILANOVE_328P
Duemilanove w/ ATMega328P pin assignments

#### 5 BOARD_GEN6
Gen6

#### 51 BOARD_GEN6_DELUXE
Gen6 deluxe

#### 6 BOARD_SANGUINOLOLU_11
Sanguinololu < 1.2

#### 62 BOARD_SANGUINOLOLU_12
Sanguinololu 1.2 and above

#### 63 BOARD_MELZI
Melzi

#### 64 BOARD_STB_11
STB V1.1

#### 65 BOARD_AZTEEG_X1
Azteeg X1

#### 66 BOARD_MELZI_1284
Melzi with ATmega1284 (MaKr3d version)

#### 67 BOARD_AZTEEG_X3
Azteeg X3

#### 68 BOARD_AZTEEG_X3_PRO
Azteeg X3 Pro

#### 7 BOARD_ULTIMAKER
Ultimaker

#### 71 BOARD_ULTIMAKER_OLD
Ultimaker (Older electronics. Pre 1.5.4. This is rare)

#### 72 BOARD_ULTIMAIN_2
Ultimainboard 2.x (Uses TEMP_SENSOR 20)

#### 77 BOARD_3DRAG
3Drag Controller

#### 78 BOARD_K8200
Vellemann K8200 Controller (derived from 3Drag Controller)

#### 8 BOARD_TEENSYLU
Teensylu

#### 80 BOARD_RUMBA
Rumba

#### 81 BOARD_PRINTRBOARD
Printrboard (AT90USB1286)

#### 82 BOARD_BRAINWAVE
Brainwave (AT90USB646)

#### 83 BOARD_SAV_MKI
SAV Mk-I (AT90USB1286)

#### 84 BOARD_TEENSY2
Teensy++2.0 (AT90USB1286) - CLI compile: DEFINES=AT90USBxx_TEENSYPP_ASSIGNMENTS HARDWARE_MOTHERBOARD=84  make

#### 85 BOARD_BRAINWAVE_PRO
Brainwave Pro (AT90USB1286)

#### 9 BOARD_GEN3_PLUS
Gen3+

#### 22 BOARD_GEN3_MONOLITHIC
Gen3 Monolithic Electronics

#### 70 BOARD_MEGATRONICS
Megatronics

#### 701 BOARD_MEGATRONICS_2
Megatronics v2.0

#### 702 BOARD_MEGATRONICS_1
Minitronics v1.0

#### 703 BOARD_MEGATRONICS_3
Megatronics v3.0

#### 90 BOARD_OMCA_A
Alpha OMCA board

#### 91 BOARD_OMCA
Final OMCA board

#### 301 BOARD_RAMBO
Rambo

#### 21 BOARD_ELEFU_3
Elefu Ra Board (v3)

#### 88 BOARD_5DPRINT
5DPrint D8 Driver Board

#### 999 BOARD_LEAPFROG
Leapfrog

#### 40 BOARD_MKS_BASE
The [MKS BASE 1.0](http://reprap.org/wiki/MKS_BASE_1.0) is a custom board with pin assignments nearly identical to RAMPS 1.4.

#### 41 BOARD_WITBOX
The [bq WITBOX](https://github.com/bq/witbox) is not a controller board, but an open source box cartesian RAMPS-based printer. The controller is a standard Mega2560 with RAMPS 1.4 configured for a single extruder.

#### 42 BOARD_HEPHESTOS
The [bq Prusa i3 Hephestos](https://github.com/bq/prusa-i3-hephestos) is not a controller board, but an open source variant of the popular Prusa i3 Mendel RepRap. The controller is a standard Mega2560 with RAMPS 1.4 configured for a single extruder.

#### 401 BOARD_BAM_DICE
[2PrintBeta BAM&DICE](http://www.2printbeta.de/) with STK drivers. The Beta Arduino Mega (BAM) shield is a crowd-funded open source RAMPS shield with 5 slots for plugin modules instead of the standard stepper driver sockets. The DICE-STK module a stepper driver module utilizing the STK682-010-E with up to 128X micro-stepping. (A4988 also available.)

#### 402 BOARD_BAM_DICE_DUE
[2PrintBeta BAM&DICE Due](http://www.2printbeta.de/) with STK drivers. This variant of the BAM&DICE is made for the Due instead of the Mega.
